// compile: gcc -Wall Classes-C.c -o Classes-C

#include <stdio.h>

typedef struct {
  float x;
} Object;

void Object_init  (Object *const this, const float x) { this->x = x; }
void Object_deinit(Object *const this)                { }

void Object_print(const Object *const this) { printf("%g\n",this->x); }


int main() {
  Object x;  Object_init(&x,2.1);

  Object_print(&x);

  Object_deinit(&x);
  return 0;
}
